1 (edited by quazardous 2017-11-03 11:37:31)

Topic: [SOLVED][repo conflict @f26] dnf update wants to remove remi-release

Hi,

EDIT : NOT A BUG !!!

got an update conflict on fedora 26

-----------------------------------

# dnf update
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:31:32 le ven. 03 nov. 2017 07:24:23 CET.
Dépendances résolues.

 Problème: package epel-release-7-11.noarch conflicts with fedora-release provided by fedora-release-26-1.noarch
  - cannot install the best update candidate for package fedora-release-26-1.noarch
  - cannot install the best update candidate for package epel-release-7-10.noarch
=========================================================================================================
 Paquet                        Architecture            Version               Dépôt                 Taille
=========================================================================================================
Saut des paquets en conflit :
(ajouter « --best --allowerasing » à la ligne de commande pour forcer leur mise à niveau):
 epel-release                  noarch                  7-11                  epel                   15 k

Résumé de la transaction
=========================================================================================================
Ignorer  1 Paquet

Rien à faire.
Terminé !


------------------------


# dnf update --best --allowerasing
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:29:56 le ven. 03 nov. 2017 07:24:23 CET.
Dépendances résolues.
=========================================================================================================
 Paquet                             Architecture   Version                   Dépôt                 Taille
=========================================================================================================
Mise à jour de:
 epel-release                       noarch         7-11                      epel                   15 k
Installation des dépendances:
 fedora-repos-rawhide               noarch         26-1                      fedora                8.3 k
 generic-release                    noarch         26-1                      fedora                 16 k
Supprimer des paquets dépendants:
 fedora-release                     noarch         26-1                      @anaconda              11 k
 fedora-release-workstation         noarch         26-1                      @anaconda             1.9 k
 remi-release                       noarch         26-2.fc26.remi            @@commandline         8.0 k

Résumé de la transaction
=========================================================================================================
Installer      2 Paquets
Mettre à jour  1 Paquet
Supprimer      3 Paquets

Taille totale des téléchargements : 39 k
Voulez-vous continuer ? [o/N] :

Re: [SOLVED][repo conflict @f26] dnf update wants to remove remi-release

> Problème: package epel-release-7-11.noarch conflicts with fedora-release provided by fedora-release-26-1.noarch


EPEL is only for RHEL/CentOS, NOT for Fedora.

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: [SOLVED][repo conflict @f26] dnf update wants to remove remi-release

lol thx ok my bad

I think I've done my laptop install with the doc of the servers I manage tongue